%define pkg_ver   2005.02.09
%define use_ver   %(echo %{pkg_ver} | tr -d '.')


Summary:          A user-space IPv6 multicast router
Name:             ecmh
Version:          %{use_ver}
Release:          1%{?dist}%{?pext}
License:          GPL
Group:            System Environment/Daemons
Source0:          http://unfix.org/projects/%{name}/download/%{name}_%{pkg_ver}.tar.gz
Source1:          %{name}.init
Source2:          %{name}.sysconfig
Patch0:           %{name}-20050209-build.patch
URL:              http://unfix.org/projects/%{name}/
Buildroot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:           Jeroen Massar <jeroen@unfix.org>
Requires(pre):    /usr/sbin/groupadd /usr/sbin/useradd
Requires(post):   /sbin/chkconfig
Requires(preun):  /sbin/chkconfig /sbin/service
Requires(postun): /sbin/service


%description
Easy Cast du Multi Hub (ecmh) is a networking daemon that acts as a full IPv6
MLDv1 and MLDv2 Multicast Router. This allows IPv6 multicast routing on Linux
and soon other OS's that do not implement IPv6 multicast routing. It will also
allow IPv4 to IPv6 and IPv6 to IPv4 translation of multicast traffic.


%prep
%setup -q -n %{name}-%{pkg_ver}
%patch0 -p1

# Fix permissions
%{__chmod} -x doc/{TODO,changelog}


%build
export OPTFLAGS="${RPM_OPT_FLAGS} -fno-strict-aliasing"
%{__make} #%{?_smp_mflags}


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_initrddir}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_sysconfdir}/sysconfig
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_bindir}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_sbindir}

pushd src
%{__install} -m 0755 %{name}    ${RPM_BUILD_ROOT}%{_sbindir}
popd

pushd tools/mtrace6
%{__install} -m 0755 mtrace6    ${RPM_BUILD_ROOT}%{_bindir}
popd

%{__install} -m 0755 %{SOURCE1} ${RPM_BUILD_ROOT}%{_initrddir}/%{name}
%{__install} -m 0644 %{SOURCE2} ${RPM_BUILD_ROOT}%{_sysconfdir}/sysconfig/%{name}


%pre
if ! getent group  %{name} >/dev/null 2>&1; then
  /usr/sbin/groupadd -r %{name}
fi
if ! getent passwd %{name} >/dev/null 2>&1; then
  /usr/sbin/useradd  -r -g %{name}  \
	-d / -c "Ecmh Service User" \
	-M -s /sbin/nologin %{name}
fi
exit 0			# Always pass


%post
/sbin/chkconfig --add %{name}


%preun
if [ $1 -eq 0 ]; then	# Remove
  /sbin/service %{name} stop >/dev/null 2>&1
  /sbin/chkconfig --del %{name}
fi


%postun
if [ $1 -ge 1 ]; then	# Upgrade
  /sbin/service %{name} condrestart >/dev/null 2>&1 || :
fi


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc README doc/{BUGS,COPYRIGHT,LICENSE,THANKS,TODO,changelog}
%{_initrddir}/%{name}
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%{_bindir}/mtrace6
%{_sbindir}/%{name}


%changelog
* Wed Dec 17 2008 Peter Pramberger <peterpramb@member.fsf.org> - 20050209-1
- Initial build
